Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #7

A bunch of suggestions for Library
December 20, 2011 19:05 - Artem S. Tashkinov
Description

1. Make search bar permanently visible and place it between play buttons (Open, Add ...) and playback options buttons (repeat,
shuffle, volume) - there's a lot of space for it, especially on modern wide screen displays (1920px width).

2. Make search work for all visible columns (e.g. | may want to see all songs from 2011, or all Classical songs, or songs containing
the word "Love").

3. After the user enters a search query all playlist items not satisfying the search query should be automatically hidden, then - Ctrl+A
-> Right Mouse click -> "Create a new playlist" out of these items. This will eliminate the need of the left column altogether.

4. On a first run Audacious should allow creating Library out of any number of user defined directories. File -> Library/Add Folder
should show this dialog allowing the user to add/remove his favourite directories (see the attached screenshot).

History

#1 - December 21, 2011 14:29 - Artem S. Tashkinov

5. Yet another suggestion. After entering a search query and hitting "Enter", the found songs should be played automatically as the current playlist.
"Escape" in this field should restore the entire Library playlist.

This way it becomes very easy to listen to e.g. Mozart, your just enter "Mozart" hit "Enter" and listen to his songs. Later on, you hit "Escape" and you
get the entire playlist back.

6. Add "x" (erase) button on the left or on the right of the search box. This way you can clean the search bar using mouse.
7. On every startup all directories belonging to Library should be rescanned automatically. There's probably no sense in implementing a setting

"Rescan library directories on startup” because Library is meant to update its contents automatically (this is at least how it works in all other jukbox
applications).

#2 - December 21, 2011 14:50 - Artem S. Tashkinov

> 1. Make search bar permanently visible and place it between play buttons (Open, Add ...) and playback options buttons (repeat, shuffle, volume) -
there's a lot of space for it, especially on modern wide screen displays (1920px width).

Hm, this space is already occupied by a progress bar. OK, then it's probably worth embedding a search bar right below the tabs bar (so that search
bar could be made distinct for every playlist (it makes sense 'cause you may want to search in any playlist without using Ctrl + J shortcut).

#3 - December 29, 2011 03:50 - John Lindgren

- Status changed from New to Rejected
| think you should write a new interface for Audacious that works the way you want it.

#4 - December 29, 2011 08:16 - Artem S. Tashkinov

John Lindgren wrote:

| think you should write a new interface for Audacious that works the way you want it.

OK, then let users enjoy the current implementation which is barely, if at all, usable and useful.

| didn't ask to rework the interface from the ground up, | just wanted it to be a hundred times more convenient, obvious and handy.
